@import "../../../styles/colors.scss";

.Authorization_Wrapper {
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: rgba($color: $color-black, $alpha: 0.5);
  backdrop-filter: blur(5px);

  & > div {
    width: 300px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    // padding: 20px;
    border-radius: 5px;
    background-color: $color-white;

    & h3 {
      margin: 0;
      background-color: $color-grey;
      color: $color-white;
      padding: 15px;
      width: inherit;
      text-align: start;
      box-sizing: border-box;
    }

    & div {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      padding-top: 10px;
      & label {
        color: $color-black;
        margin-top: 5px;
      }
      & input {
        padding: 5px;
        margin-top: 5px;
        border-radius: 5px;
        border: 1px solid $color-black;
        font-size: 14px;
        &::placeholder {
          font-size: 14px;
        }
        &:focus {
          outline: none;
        }
      }
    }
    & button {
      width: 80%;
      padding: 5px;
      margin: 10px 0;
      border-radius: 5px;
      background-color: $color-blue;
      border: none;
      color: $color-white;
      font-weight: bold;
    }
    & p {
      color: $color-grey;
      font-size: 12px;
      margin-bottom: 10px;
      text-decoration: underline;
      cursor: pointer;
    }
  }
}
